@media only screen and (max-width: 600px) {
  html,
  body,
  div,
  span,
  p,
  ol,
  ul,
  li,
  fieldset,
  form,
  label,
  legend,
  table,
  caption,
  tbody,
  tfoot,
  thead,
  tr,
  th,
  td,
  article,
  aside,
  section,
  input,
  textarea {
  }
  .needDesktop {
    display: none;
  }
}

@media (prefers-reduced-motion: no-preference) {
  :has(:target) {
    scroll-behavior: smooth;
  }
}

/* 12) Reduced motion */
@media (prefers-reduced-motion: reduce) {
  * {
    animation: none !important;
    transition: none !important;
  }
}

/* Medium screens */
@media (max-width: 1024px) {
  .landing__body--banner {
    height: 220px;
  }

  .global__body--wrapper {
    padding: 2em 2.5em 4em;
  }

  section {
    padding: 1em 2em;
  }

  .panels {
    margin: 0 auto 1.5em;
  }
}

/* Small screens */
@media (max-width: 768px) {
  .landing__body--banner {
    height: 200px;
  }

  .landing__body--hero {
    min-height: 90vh; /* small buffer for mobile bars */
    top: -6em !important;
  }

  .landing__body--hero--overlay img {
    max-width: 260px;
  }

  .global__body--wrapper {
    padding: 1.5em 1.25em 3em;
  }

  section {
    padding: 1em 2em;
  }

  .panels {
    margin: 0 auto 1.5em;
  }
}

/* MOBILE RESPONSIVE */
@media (max-width: 720px) {
  .banner__content {
    align-items: center;
    text-align: center;
    padding: 0 1rem;
  }
}
